[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TShellListItem.FileInfo

File system information about the list item.

## Declaration

Source position: shellctrls.pas line 254

`public property TShellListItem.FileInfo : TSearchRec read FFileInfo write FFileInfo;`

## Description

FileInfo is a TSearchRec property which contains file system information about the list item. It is a record instance returned from the FindFirst or FindNext routines in the RTL, and contains the attributes for a file or folder on the local file system. FileInfo includes values like:

- Timestamp
- Size
- Attributes
- Excluded Attributes
- Find Handle
- File Mode (on UNIX-like platforms)
- Find Data Structure (or symlink structure on UNIX-like platforms)

## Version info

Added in LCL version 3.0.

## See also

TCustomShellListView.DoAddItem |  | Signals the OnAddItem event handler when an entry is added to the Items in the control.
TCustomShellListView.PopulateWithRoot |  | Fills the list view with file system information for the directory in Root.
TCustomShellTreeView.DoAddItem |  | Performs actions needed to add a new tree node to the shell control.
TCustomShellTreeView.PopulateTreeNodeWithFiles |  | Adds tree nodes for file system objects found starting at the specified node / path.
TAddItemEvent |  | Specifies an event handler signalled when an item is added to a shell control.
FindFirst
FindNext
TRawbyteSearchRec
TUnicodeSearchRec